package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface CallCenterHistoryDao {

    @Query("select * from CallCenterHistory")
    fun getAll(): LiveData<List<CallCenterHistory>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: CallCenterHistory)

    @Query("delete from CallCenterHistory")
    suspend fun deleteAll()

}